Package org.eclipse.emf.compare.provider

## Interface IItemStyledLabelProvider

All Known Implementing Classes:
  `AttributeChangeItemProviderSpec`, `ComparisonItemProviderSpec`, `ConflictItemProviderSpec`, `ExtendedAdapterFactoryItemDelegator`, `FeatureMapChangeItemProviderSpec`, `GroupItemProviderAdapter`, `MatchItemProviderSpec`, `MatchResourceItemProviderSpec`, `ReferenceChangeItemProviderSpec`, `ResourceAttachmentChangeItemProviderSpec`, `ResourceLocationChangeItemProviderSpec`, `TreeNodeItemProviderSpec`

    public interface IItemStyledLabelProvider

This is the interface implemented to provide a styled label for an item.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IStyledString.IComposedStyledString` `getStyledText​(Object object)` Returns the styled text label for the given object.

### Method Detail

#### getStyledText

    IStyledString.IComposedStyledString getStyledText​(Object object)

Returns the styled text label for the given object.

Parameters:
  `object` - the object to evaluate the styled string for.
Returns:
  the styled string.